CMSIS-Driver: Driver_WiFi.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Typedefs
Driver_WiFi.h File Reference

## Data Structures

struct | ARM_WIFI_CONFIG_t
| WiFi Configuration. More...
struct | ARM_WIFI_SCAN_INFO_t
| WiFi Scan Information. More...
struct | ARM_WIFI_NET_INFO_t
| WiFi Network Information. More...
struct | ARM_WIFI_CAPABILITIES
| WiFi Driver Capabilities. More...
struct | ARM_DRIVER_WIFI
| Access structure of the WiFi Driver. More...

## Macros

#define | ARM_WIFI_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(1,1) /* API version */
#define | _ARM_Driver_WiFi_(n) Driver_WiFi##n
#define | ARM_Driver_WiFi_(n) _ARM_Driver_WiFi_(n)
#define | ARM_WIFI_BSSID 1U
| Station/AP Set/Get BSSID of AP to connect or of AP; data = &bssid, len = 6, uint8_t[6]. More...
#define | ARM_WIFI_TX_POWER 2U
| Station/AP Set/Get transmit power; data = &power, len = 4, uint32_t: 0 .. 20 [dBm]. More...
#define | ARM_WIFI_LP_TIMER 3U
| Station Set/Get low-power deep-sleep time; data = &time, len = 4, uint32_t [seconds]: 0 = disable (default) More...
#define | ARM_WIFI_DTIM 4U
| Station/AP Set/Get DTIM interval; data = &dtim, len = 4, uint32_t [beacons]. More...
#define | ARM_WIFI_BEACON 5U
| AP Set/Get beacon interval; data = &interval, len = 4, uint32_t [ms]. More...
#define | ARM_WIFI_MAC 6U
| Station/AP Set/Get MAC; data = &mac, len = 6, uint8_t[6]. More...
#define | ARM_WIFI_IP 7U
| Station/AP Set/Get IPv4 static/assigned address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_SUBNET_MASK 8U
| Station/AP Set/Get IPv4 subnet mask; data = &mask, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_GATEWAY 9U
| Station/AP Set/Get IPv4 gateway address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_DNS1 10U
| Station/AP Set/Get IPv4 primary DNS address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_DNS2 11U
| Station/AP Set/Get IPv4 secondary DNS address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_DHCP 12U
| Station/AP Set/Get IPv4 DHCP client/server enable/disable; data = &dhcp, len = 4, uint32_t: 0 = disable, non-zero = enable (default) More...
#define | ARM_WIFI_IP_DHCP_POOL_BEGIN 13U
| AP Set/Get IPv4 DHCP pool begin address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_DHCP_POOL_END 14U
| AP Set/Get IPv4 DHCP pool end address; data = &ip, len = 4, uint8_t[4]. More...
#define | ARM_WIFI_IP_DHCP_LEASE_TIME 15U
| AP Set/Get IPv4 DHCP lease time; data = &time, len = 4, uint32_t [seconds]. More...
#define | ARM_WIFI_IP6_GLOBAL 16U
| Station/AP Set/Get IPv6 global address; data = &ip6, len = 16, uint8_t[16]. More...
#define | ARM_WIFI_IP6_LINK_LOCAL 17U
| Station/AP Set/Get IPv6 link local address; data = &ip6, len = 16, uint8_t[16]. More...
#define | ARM_WIFI_IP6_SUBNET_PREFIX_LEN 18U
| Station/AP Set/Get IPv6 subnet prefix length; data = &len, len = 4, uint32_t: 1 .. 127. More...
#define | ARM_WIFI_IP6_GATEWAY 19U
| Station/AP Set/Get IPv6 gateway address; data = &ip6, len = 16, uint8_t[16]. More...
#define | ARM_WIFI_IP6_DNS1 20U
| Station/AP Set/Get IPv6 primary DNS address; data = &ip6, len = 16, uint8_t[16]. More...
#define | ARM_WIFI_IP6_DNS2 21U
| Station/AP Set/Get IPv6 secondary DNS address; data = &ip6, len = 16, uint8_t[16]. More...
#define | ARM_WIFI_IP6_DHCP_MODE 22U
| Station/AP Set/Get IPv6 DHCPv6 client mode; data = &mode, len = 4, uint32_t: ARM_WIFI_IP6_DHCP_xxx (default Off) More...
#define | ARM_WIFI_SECURITY_OPEN 0U
| Open. More...
#define | ARM_WIFI_SECURITY_WEP 1U
| Wired Equivalent Privacy (WEP) with Pre-Sheared Key (PSK) More...
#define | ARM_WIFI_SECURITY_WPA 2U
| WiFi Protected Access (WPA) with PSK. More...
#define | ARM_WIFI_SECURITY_WPA2 3U
| WiFi Protected Access II (WPA2) with PSK. More...
#define | ARM_WIFI_SECURITY_UNKNOWN 255U
| Unknown. More...
#define | ARM_WIFI_WPS_METHOD_NONE 0U
| Not used. More...
#define | ARM_WIFI_WPS_METHOD_PBC 1U
| Push Button Configuration. More...
#define | ARM_WIFI_WPS_METHOD_PIN 2U
| PIN. More...
#define | ARM_WIFI_IP6_DHCP_OFF 0U
| Static Host Configuration (default) More...
#define | ARM_WIFI_IP6_DHCP_STATELESS 1U
| Dynamic Host Configuration stateless DHCPv6. More...
#define | ARM_WIFI_IP6_DHCP_STATEFULL 2U
| Dynamic Host Configuration statefull DHCPv6. More...
#define | ARM_WIFI_EVENT_AP_CONNECT (1UL << 0)
| Access Point: Station has connected; arg = &mac, mac (uint8_t[6]) More...
#define | ARM_WIFI_EVENT_AP_DISCONNECT (1UL << 1)
| Access Point: Station has disconnected; arg = &mac, mac (uint8_t[6]) More...
#define | ARM_WIFI_EVENT_ETH_RX_FRAME (1UL << 4)
| Ethernet Frame Received (in bypass mode only); arg = interface (0 = Station, 1 = Access Point) More...
#define | ARM_SOCKET_AF_INET 1
| IPv4. More...
#define | ARM_SOCKET_AF_INET6 2
| IPv6. More...
#define | ARM_SOCKET_SOCK_STREAM 1
| Stream socket. More...
#define | ARM_SOCKET_SOCK_DGRAM 2
| Datagram socket. More...
#define | ARM_SOCKET_IPPROTO_TCP 1
| TCP. More...
#define | ARM_SOCKET_IPPROTO_UDP 2
| UDP. More...
#define | ARM_SOCKET_IO_FIONBIO 1
| Non-blocking I/O (Set only, default = 0); opt_val = &nbio, opt_len = sizeof(nbio), nbio (integer): 0=blocking, non-blocking otherwise. More...
#define | ARM_SOCKET_SO_RCVTIMEO 2
| Receive timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout) More...
#define | ARM_SOCKET_SO_SNDTIMEO 3
| Send timeout in ms (default = 0); opt_val = &timeout, opt_len = sizeof(timeout) More...
#define | ARM_SOCKET_SO_KEEPALIVE 4
| Keep-alive messages (default = 0); opt_val = &keepalive, opt_len = sizeof(keepalive), keepalive (integer): 0=disabled, enabled otherwise. More...
#define | ARM_SOCKET_SO_TYPE 5
| Socket Type (Get only); opt_val = &socket_type, opt_len = sizeof(socket_type), socket_type (integer): ARM_SOCKET_SOCK_xxx. More...
#define | ARM_SOCKET_ERROR (-1)
| Unspecified error. More...
#define | ARM_SOCKET_ESOCK (-2)
| Invalid socket. More...
#define | ARM_SOCKET_EINVAL (-3)
| Invalid argument. More...
#define | ARM_SOCKET_ENOTSUP (-4)
| Operation not supported. More...
#define | ARM_SOCKET_ENOMEM (-5)
| Not enough memory. More...
#define | ARM_SOCKET_EAGAIN (-6)
| Operation would block or timed out. More...
#define | ARM_SOCKET_EINPROGRESS (-7)
| Operation in progress. More...
#define | ARM_SOCKET_ETIMEDOUT (-8)
| Operation timed out. More...
#define | ARM_SOCKET_EISCONN (-9)
| Socket is connected. More...
#define | ARM_SOCKET_ENOTCONN (-10)
| Socket is not connected. More...
#define | ARM_SOCKET_ECONNREFUSED (-11)
| Connection rejected by the peer. More...
#define | ARM_SOCKET_ECONNRESET (-12)
| Connection reset by the peer. More...
#define | ARM_SOCKET_ECONNABORTED (-13)
| Connection aborted locally. More...
#define | ARM_SOCKET_EALREADY (-14)
| Connection already in progress. More...
#define | ARM_SOCKET_EADDRINUSE (-15)
| Address in use. More...
#define | ARM_SOCKET_EHOSTNOTFOUND (-16)
| Host not found. More...

## Typedefs

typedef void(* | ARM_WIFI_SignalEvent_t )(uint32_t event, void *arg)
| Pointer to ARM_WIFI_SignalEvent : Signal WiFi Event. More...

## Macro Definition Documentation

#define ARM_WIFI_API_VERSION ARM_DRIVER_VERSION_MAJOR_MINOR(1,1) /* API version */

#define _ARM_Driver_WiFi_ | ( |  | n | ) | Driver_WiFi##n

#define ARM_Driver_WiFi_ | ( |  | n | ) | _ARM_Driver_WiFi_(n)